%define upstream_name    Math-Vector-Real-kdTree
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Kd-Tree implementation on top of Math::Vector::Real
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Math::Vector::Real) >= 0.60.0
BuildRequires:	perl(Math::Vector::Real::Test)
BuildRequires:	perl(Sort::Key::Top) >= 0.60.0

BuildArch:	noarch

%description
This module implements a kd-Tree data structure in Perl and some related
algorithms.

The following methods are provided:

* $t = Math::Vector::Real::kdTree->new(@points)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README sample
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.150.0-4pclos2017
- rebuild against updates

